# services/health/kustomization.yaml
apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization
namespace: health
resources:
  - namespace.yaml
  - serviceaccount.yaml
  - portal-rbac.yaml
  - wger-media-pvc.yaml
  - wger-static-pvc.yaml
  - wger-admin-ensure-cronjob.yaml
  - wger-user-sync-cronjob.yaml
  - wger-deployment.yaml
  - wger-service.yaml
  - wger-ingress.yaml
generatorOptions:
  disableNameSuffixHash: true
configMapGenerator:
  - name: wger-nginx-config
    files:
      - default.conf=config/nginx.conf
      - nginx.conf=config/nginx-main.conf
  - name: wger-user-sync-script
    files:
      - wger_user_sync.py=scripts/wger_user_sync.py
